Package: grails.util

## [Java] Class CollectionUtils

- grails.util.CollectionUtils

-     public class CollectionUtils
      extends java.lang.Object

  Collection utility methods.

  Authors:
    Burt Beckwith

- - ### Constructor Summary

    Constructors
    Constructor and description
    `private CollectionUtils ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static java.util.Map` | `getOrCreateChildMap(java.util.Map parent, java.lang.String key)` Gets a child map of the given parent map or returns an empty map if it doesn't exist
    `<T>` | `public static java.util.List<T>` | `newList(T values)`
    `<K, V>` | `public static java.util.Map` | `newMap(java.lang.Object keysAndValues)`
    `<T>` | `public static java.util.Set<T>` | `newSet(T values)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### private CollectionUtils()

  - ### Method Detail

    - #### public static java.util.Map getOrCreateChildMap(java.util.Map parent, java.lang.String key)

      Gets a child map of the given parent map or returns an empty map if it doesn't exist

      Parameters:
        `parent` - The parent map
        `key` - The key that holds the child map
      Returns:
        The child map

    - #### <T> public static java.util.List<T> newList(T values)

    - #### <K, V> @java.lang.SuppressWarnings({ "rawtypes", "unchecked" }) public static java.util.Map newMap(java.lang.Object keysAndValues)

    - #### <T> public static java.util.Set<T> newSet(T values)